#! /usr/bin/env bash
set -eu -o pipefail
DEBIAN_FRONTEND="noninteractive"
DEBIAN_PRIORITY="critical"
DEBCONF_NOWARNINGS="yes"
export DEBIAN_FRONTEND DEBIAN_PRIORITY DEBCONF_NOWARNINGS
apt update || echo "[!] Failed to update index lists!"
dpkg --configure -a || echo "[!] Failed to fix interrupted upgrades!"
apt --fix-broken --fix-missing install || echo "[!] Failed to fix conflicts!"
apt -y --allow-downgrades --fix-broken --fix-missing dist-upgrade

